#pragma once
#include "Entity.h"
class CS_PeCountdown :
    public Entity
{
public:
    CS_PeCountdown();
    void Step() override;
    int act_no = 0;
    int act_wait = 0;
    float dx = 0;
    float dy = 0;
};

std::weak_ptr<CS_PeCountdown> SetCS_PeCountdown(std::shared_ptr<Entity> parent, float x, float y, int num);